Package org.silverpeas.mobile.server.servlets

## Class MediaServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.silverpeas.mobile.server.servlets.AbstractSilverpeasMobileServlet
      - - org.silverpeas.mobile.server.servlets.MediaServlet

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class MediaServlet
      extends AbstractSilverpeasMobileServlet

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doGet​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `protected void` | `doPost​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |
    `void` | `init​(javax.servlet.ServletConfig config)` |
    `protected void` | `processRequest​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |

    - ### Methods inherited from class org.silverpeas.mobile.server.servlets.AbstractSilverpeasMobileServlet

      `checkUserInSession, getMainSessionController, getSettings, getUserInSession`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaServlet

          public MediaServlet()

  - ### Method Detail

    - #### init

          public void init​(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### processRequest

          protected void processRequest​(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)
                                 throws Exception

      Throws:
        `Exception`

    - #### doGet

          protected void doGet​(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)
                        throws javax.servlet.ServletException,
                               IOException

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`

    - #### doPost

          protected void doPost​(javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response)
                         throws javax.servlet.ServletException,
                                IOException

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Throws:
        `javax.servlet.ServletException`
        `IOException`